LAST,(LASTB)

NOME
last, lastb - mostra listagem dos últimos utilizadores que fizeram login

RESUMO
last [-R] [-num] [-n num] [-adFiowx] [-f ficheiro] [-t YYYYMMDDHHMMSS] [nome...] [tty...]
lastb [-R] [-num] [-n num] [-f ficheiro] [-adFiowx] [nome...] [tty...]

DESCRIÇÃO
Last procura para trás no ficheiro /var/log/wtmp (ou no ficheiro designado pela bandeira -f) e mostra uma lista de todos os utilizadores que fizeram login (e logout) desde que esse ficheiro foi criado. Podem ser dados nomes de utilizadores e tty's, que neste caso o last irá apenas mostrar aquelas entradas que correspondem aos argumentos. Os nomes dos ttys podem ser abreviados, assim last 0 é o mesmo que last tty0.

Quando o last apanha um sinal SIGINT (gerado pela tecla de interrupção, normalmente control-C) ou um sinal SIGQUIT (gerado pela tecla de desistir, geralmente control-\), o last irá mostrar até onde pesquisou no ficheiro; no caso do sinal SIGINT o last irá depois terminar.

O pseudo utilizador reboot faz login cada vez que o sistema é reiniciado. Assim last reboot irá mostrar um registo de todas as vezes que o sistema reiniciou desde que o ficheiro de registo foi criado.

lastb é o mesmo que last, excepto que por predefinição mostra um registo do ficheiro /var/log/btmp, que contém todas as tentativas falhadas de login.

OPÇÕES

-f ficheiro
    Diz ao last para usar um ficheiro especifico em vez de /var/log/wtmp.

-num
    Isto é uma contagem que diz ao last quantas linhas deve mostrar.

-n num
    O mesmo.

-t YYYYMMDDHHMMSS
    Mostra o estados dos logins da hora especificada. Isto é útil, ex. para determinar facilmente quem tinha login aberto numa hora particular -- especifique essa hora com -t e procura por "ainda com login aberto".

-R  Suprime o amostrar do campo hostname.

-a  Mostra o hostname na última coluna. Útil em combinação com a próxima bandeira.

-d  Para os logins não locais, o Linux guarda não apenas o nome da máquina da máquina remota mas também o seu número IP. Esta opção traduz o número IP de volta para um hostname.

-F  Escreve as horas e datas de todos os login e logout.

-i  Esta opção é como -d em que mostra o número IP da máquina remota, mas mostra o número IP em notação de números e pontos.

-l  Esta opção permite a mostragem de nomes de utilizadores maiores que 8 caracteres. Isto pode estragar a formatação em alguns programas e tornar os resultados mais largos que o standard de 80 caracteres.

-o  Lê um ficheiro wtmp de tipo antigo (escrito por aplicações de linux-libc5).

-w  Mostra nomes completos de utilizador e domínio no resultado.

-x  Mostra entradas de encerramento do sistema e mudanças de nível de execução.

NOTAS
Os ficheiros wtmp e btmp podem não existir. O sistema apenas regista informação nestes ficheiros se eles estiverem presentes. Isto é um problema de configuração local. Se você deseja que estes ficheiros sejam usados, eles podem ser criados com um simples comando touch(1) (por exemplo, touch /var/log/wtmp).

FICHEIROS
/var/log/wtmp
/var/log/btmp

AUTOR
Miquel van Smoorenburg (miquels@cistron.nl)

VEJA TAMBÉM
shutdown(8), login(1), init(8)